[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'System' (#rtl)

# TObject.ClassName

Return the current class name.

## Declaration

Source position: objpash.inc line 206

`public class function TObject.ClassName: shortstring;`

## Description

ClassName returns the class name for the current class, in all-uppercase letters. To check for the class name, use the ClassNameIs class method.

## Errors

None.

## See also

ClassInfo |  | Return a pointer to the type information for this class.
ClassType |  | Return a "class of" pointer for the current class
ClassNameIs |  | Check whether the class name equals the given name.

Documentation generated on: Feb 26 2014